<?php

namespace App\Policies;

use App\Models\Footer;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class FooterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create footer', 'edit footer', 'view footer', 'delete footer'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, Footer $footer): bool
    {
        return $user->hasPermissionTo('view footer');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create footer');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, Footer $footer): bool
    {
        return $user->hasPermissionTo('edit footer');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, Footer $footer): bool
    {
        return $user->hasPermissionTo('delete footer');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, Footer $footer): bool
    {
        return $user->hasPermissionTo('restore footer');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, Footer $footer): bool
    {
        return $user->hasPermissionTo('force delete footer');
    }
}
